o-expander

CSS JS

Accessible, content-aware widget for expanding and collapsing content

View on GitHub

Quick start

Using the build service

Add the following token to your script and link tags (how do I do that?):

o-expander@^4.4.0

For more information see the Origami build service.

Using a manual build process

Run the following command in the root directory of your project, to add this dependency to your bower.json file:

bower install --save "o-expander"@"^4.4.0"

For more information see the Origami build process.

Collapsing List


			

A list which collapses, hiding a number of items.

Collapsing Height


			

Collapses based on the max-height of the content.

Collapsing Selector


			

A selector is configured to hide paragraphs.

Toggle State


			

The toggle state is set to never update the toggle copy.

Component information

Latest stable version:
4.4.2 (2 days, 13 hours old)
Status (Learn more):
Active (as of 4.4.0)
Bundle sizes:
12.41KB JavaScript 1,286b CSS
This version
4.4.0 (9 days, 8 hours old)
Support status (Learn more):
Active (as of 4.4.0)
Last indexed
19 Oct 2017 10:21:17 (Build now)
Installable?
OK
Dependencies
o-icons >=4.4.2 <6 OK 5.4.2
o-viewport >=1.2.0 <4 OK 3.1.4
Dependents
n-uio-headero-section-heado-subs-card

Contact

To talk to the team you can contact the Origami team on Slack channel #ft-origami or directly by email at origami-support@ft.com

Report an issue

Origami